Skip to main content
Events

Emit an event

Emit an event by specifying an event type and associated payload. This will internally publish a message to an event topic with a header corresponding to the provided event type. All active subscribers to that event type will receive the event as an HTTPS POST request to their registered callback URLs.

POST
/event

This endpoint does not wait for delivery confirmation — it only ensures the event has been accepted and forwarded to the event sub-system.

This method requires the Events:Emit permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json
payloadobjectrequired

The data associated with the event. This will be included in the message sent to subscribers.

typestringrequired

The type of event being emitted. This determines which subscribers will receive it.

Event accepted for publishing